<div class="flex flex-wrap justify-center">
  <div
    *ngFor="let trooper of troopers; let index = index"
    class="w-[33.33%]"
    [class.-ml-px]="index % 3 != 0"
    [class.-mt-px]="index > 2"
  >
    <app-trooper-cell
      [trooper]="trooper"
      [isUserTrooper]="true"
    ></app-trooper-cell>
  </div>

  <ng-container *ngIf="troopers.length < 12">
    <div
      *ngFor="let trooper of troopersToAdd; let index = index"
      class="w-[33.33%]"
      [class.-ml-px]="(troopers.length + index) % 3 != 0"
      [class.-mt-px]="troopers.length + index > 2"
    >
      <app-trooper-cell [isAddTrooper]="true"></app-trooper-cell>
    </div>
  </ng-container>
</div>
